namespace :db do
  desc "Import a maxmind database; run like this: rake db:import_maxmind_geo file=<path_to_Geo139.csv>"
  task :import_maxmind_geo do
    MaxMindGeo.import_from_max_mind ENV['file']
  end

  desc "Import a maxmind isp database; run like this: rake db:import_maxmind_isp file=<path_to_Geo142.csv>"
  task :import_maxmind_isp do
    MaxMindIsp.import_from_max_mind ENV['file']
  end

  desc "Create a fake set of maxmind data"
  task :phony_maxmind do
    MaxMindManager.active_record_transaction do |manager|
      manager.create_phony_database()
    end
  end
end



